Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Class ResourceComputationScheduler.CallStatus

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ResourceComputationScheduler.CallStatus

Enclosing class:
  ResourceComputationScheduler<T>

    public static class ResourceComputationScheduler.CallStatus
    extends Object

### Field Summary

Fields
`static ResourceComputationScheduler.CallStatus` `FINISHED`
`static ResourceComputationScheduler.CallStatus` `FINISHING`
`static ResourceComputationScheduler.CallStatus` `SCHEDULED`
`static ResourceComputationScheduler.CallStatus` `SETTING_UP`

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `getCause()`
`ResourceComputationScheduler.ComputationState` `getState()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SETTING_UP

    public static final ResourceComputationScheduler.CallStatus SETTING_UP

#### SCHEDULED

    public static final ResourceComputationScheduler.CallStatus SCHEDULED

#### FINISHING

    public static final ResourceComputationScheduler.CallStatus FINISHING

#### FINISHED

    public static final ResourceComputationScheduler.CallStatus FINISHED

### Method Detail

#### getCause

    public Throwable getCause()

#### getState

    public ResourceComputationScheduler.ComputationState getState()